# Program : compress_script.sh
# 	created  by DIEUMEGARD, F.  12/Nov/2009
# Files conpression in TAR Z
# call compress executable

# $1 RINEX/Gfile files path: 
# Be careful $1 should be terminated by / character
#$2 if equal to 1 => remove original file

ACKFile=CompressOk.log
NAKFile=CompressNotOk.log
LIST_FILES=/mnt/config/list_files_$$
cpt=0

if [ $# -gt 0 ];
then
	if [ -f $1${ACKFile} ];
	then
		# Ack file is present so remove it
		rm $1${ACKFile}
	fi

	if [ -f $1${NAKFile} ];
	then
		# NAK file is present so remove it
		rm $1${NAKFile}
	fi

	# Temporary file
	ls $1 > ${LIST_FILES} 
	
	if [ ! $? -eq 0 ];
	then
		echo "Error, Wrong Rinex path $1${file}."
		rm ${LIST_FILES}
 		exit 2
	fi

	for file in $(cat ${LIST_FILES}); 
	do 
		echo $1${file}
		# Compress file
		/mnt/config/compress -f $1${file}
		result=$?
		
		cpt=1

		if [ ${result} != 0 ];
		then
			echo "${result}" > $1${NAKFile}
			rm ${LIST_FILES}
 			exit 3
		fi

		# remove original files if $2 == 1
		if [ $2 -eq 1 ];
		then
			rm $1${file}
		fi

    done

	if [ ${cpt} == 0 ];
	then
		# Error, No file in $1.
		echo "0" > $1${NAKFile}
	else
		echo "$(cat ${LIST_FILES})" > $1${ACKFile}
	fi

	rm ${LIST_FILES}
	
else

	echo "Error, RINEX file path is missing"
	exit 1
fi

exit 0
