# Program : rinex_script.sh
# 	created  by DIEUMEGARD, F.  20/Janv/2010
# Rinex conversion
# call RINEX executable

# $1 RINEX/Gfile files path: 
# $2 Directory name for output rinex files
# $3 header file and path
# Be careful $2 should be terminated by / character

ACKFile=RinexOk.log
NAKFile=RinexNotOk.log
cpt=0

if [ $# -gt 0 ];
then
	if [ -f $2${ACKFile} ];
	then
		# Ack file is present so remove it
		rm $2${ACKFile}
	fi

	if [ -f $2${NAKFile} ];
	then
		# NAK file is present so remove it
		rm $2${NAKFile}
	fi

	/mnt/config/rinex.exe $1 $2 -h $3
	result=$?
	
	if [ ${result} != 1 ];
	then
		echo "${result}" > $2${NAKFile}
		exit 2
	else
		echo "${result}" > $2${ACKFile}
	fi

else

	echo "Error, wrong parameter"
	exit 1
fi

exit 0
