# Program : rnx2crx_script.sh
# 	created  by DIEUMEGARD, F.  12/Nov/2009
# Hatanaka compression: Rinex to Compact Rinex
# Convert *.*O to *.*D

# $1 RINEX file path: 
# Be careful $1 should be terminated by / character

ACKFile=Rnx2crxOk.log
NAKFile=Rnx2crxNotOk.log
WILCARD=*.*o
WILCARDd=*.*d

if [ $# -gt 0 ];
then
	if [ -f $1${ACKFile} ];
	then
		# Ack file is present so remove it
		rm $1${ACKFile}
	fi

	if [ -f $1${NAKFile} ];
	then
		# NAK file is present so remove it
		rm $1${NAKFile}
	fi
	
	ls $1
	
	if [ ! $? -eq 0 ];
	then
		echo "Error, Wrong Rinex path $1."
 		exit 3
	fi
	
	/mnt/config/rnx2crx $1${WILCARD} -f
	result=$?
	
	if [ ${result} != 0 ];
	then
		# remove *.*d file
		rm  $1${WILCARDd}
		echo "${result}" > $1${NAKFile}
		exit 2
	else
		echo "$1${WILCARD}" > $1${ACKFile}
		rm  $1${WILCARD}
	fi
else
	echo "Error, RINEX file name is missing."
	exit 1
fi

exit 0
